// $RCSfile$     $Date$     $Revision$
// Copyright (c) 2007 Krodo
// Part of Bylins http://www.mud.ru

#include "engine/core/conf.h"
#include "engine/core/sysdep.h"
#include "engine/core/comm.h"
#include "engine/structs/structs.h"
#include "utils/logger.h"

const char* revision = "c78de269 (Release)";

volatile const char* REVISION = "$ Build revision: c78de269 (Release) $";
volatile const char* ROOT_DIRECTORY = "$ Build directory: /home/prool/Proj/0-mud-2025/mud $";
volatile const char* BUILD_DATE = "$ Build date: " __DATE__ " " __TIME__ " $";

const char* build_datetime = __DATE__ " " __TIME__;

// *   -          .

void show_code_date(CharData *ch)
{
	SendMsgToChar(ch, " ,   %s, : %s\n", build_datetime, revision);
}

void log_code_date()
{
	log("Code version %s, revision: %s", build_datetime, revision);
}

// vim: ts=4 sw=4 tw=0 noet syntax=cpp :
